# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "webby"
  s.version = "0.9.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tim Pease"]
  s.date = "2009-04-05"
  s.description = "*Webby* is a fantastic little website management system. It would be called a *content management system* if it were a bigger kid. But, it's just a runt with a special knack for transforming text. And that's really all it does - manages the legwork of turning text into something else, an *ASCII Alchemist* if you will.  Webby works by combining the contents of a *page* with a *layout* to produce HTML. The layout contains everything common to all the pages - HTML headers, navigation menu, footer, etc. - and the page contains just the information for that page. You can use your favorite markup language to write your pages; Webby supports quite a few.  Install Webby and try it out!"
  s.email = "tim.pease@gmail.com"
  s.executables = ["webby", "webby-gen"]
  s.extra_rdoc_files = ["History.txt", "README.rdoc", "bin/webby", "bin/webby-gen", "lib/webby/tasks/build.rake", "lib/webby/tasks/create.rake", "lib/webby/tasks/deploy.rake", "lib/webby/tasks/growl.rake", "lib/webby/tasks/validate.rake", "spec/data/hooligans/bad_meta_data_1.txt", "spec/data/hooligans/bad_meta_data_2.txt", "spec/data/outline/basic.txt", "spec/data/site/content/_partial.txt", "spec/data/site/content/index.txt", "spec/data/site/content/photos.txt", "spec/data/site/content/tumblog/200806/the-noble-chicken/index.txt", "spec/data/site/content/tumblog/200807/historical-perspectives-on-the-classic-chicken-joke/index.txt", "spec/data/site/content/tumblog/200807/mad-city-chickens/index.txt", "spec/data/site/content/tumblog/200807/the-wisdom-of-the-dutch/index.txt", "spec/data/site/content/tumblog/200807/up-a-tree/index.txt", "spec/data/site/content/tumblog/index.txt", "spec/data/site/content/tumblog/rss.txt", "spec/data/site/layouts/default.txt", "spec/data/site/layouts/tumblog/default.txt", "spec/data/site/layouts/tumblog/post.txt"]
  s.files = ["bin/webby", "bin/webby-gen", "History.txt", "README.rdoc", "lib/webby/tasks/build.rake", "lib/webby/tasks/create.rake", "lib/webby/tasks/deploy.rake", "lib/webby/tasks/growl.rake", "lib/webby/tasks/validate.rake", "spec/data/hooligans/bad_meta_data_1.txt", "spec/data/hooligans/bad_meta_data_2.txt", "spec/data/outline/basic.txt", "spec/data/site/content/_partial.txt", "spec/data/site/content/index.txt", "spec/data/site/content/photos.txt", "spec/data/site/content/tumblog/200806/the-noble-chicken/index.txt", "spec/data/site/content/tumblog/200807/historical-perspectives-on-the-classic-chicken-joke/index.txt", "spec/data/site/content/tumblog/200807/mad-city-chickens/index.txt", "spec/data/site/content/tumblog/200807/the-wisdom-of-the-dutch/index.txt", "spec/data/site/content/tumblog/200807/up-a-tree/index.txt", "spec/data/site/content/tumblog/index.txt", "spec/data/site/content/tumblog/rss.txt", "spec/data/site/layouts/default.txt", "spec/data/site/layouts/tumblog/default.txt", "spec/data/site/layouts/tumblog/post.txt"]
  s.homepage = "http://webby.rubyforge.org/"
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "webby"
  s.rubygems_version = "1.8.25"
  s.summary = "Awesome static website creation and management!"

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<directory_watcher>, [">= 1.1.2"])
      s.add_runtime_dependency(%q<hpricot>, [">= 0.6.0"])
      s.add_runtime_dependency(%q<launchy>, [">= 0.3.2"])
      s.add_runtime_dependency(%q<logging>, [">= 0.9.7"])
      s.add_runtime_dependency(%q<loquacious>, [">= 1.3.0"])
      s.add_runtime_dependency(%q<rake>, [">= 0.8.4"])
      s.add_runtime_dependency(%q<rspec>, [">= 1.2.2"])
      s.add_development_dependency(%q<bones>, [">= 2.5.0"])
    else
      s.add_dependency(%q<directory_watcher>, [">= 1.1.2"])
      s.add_dependency(%q<hpricot>, [">= 0.6.0"])
      s.add_dependency(%q<launchy>, [">= 0.3.2"])
      s.add_dependency(%q<logging>, [">= 0.9.7"])
      s.add_dependency(%q<loquacious>, [">= 1.3.0"])
      s.add_dependency(%q<rake>, [">= 0.8.4"])
      s.add_dependency(%q<rspec>, [">= 1.2.2"])
      s.add_dependency(%q<bones>, [">= 2.5.0"])
    end
  else
    s.add_dependency(%q<directory_watcher>, [">= 1.1.2"])
    s.add_dependency(%q<hpricot>, [">= 0.6.0"])
    s.add_dependency(%q<launchy>, [">= 0.3.2"])
    s.add_dependency(%q<logging>, [">= 0.9.7"])
    s.add_dependency(%q<loquacious>, [">= 1.3.0"])
    s.add_dependency(%q<rake>, [">= 0.8.4"])
    s.add_dependency(%q<rspec>, [">= 1.2.2"])
    s.add_dependency(%q<bones>, [">= 2.5.0"])
  end
end
